"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class CountryTagsService {
    getTags(country, lang) {
        if (LOCALE_COUNTRY_TAGS[country]) {
            return LOCALE_COUNTRY_TAGS[country][lang];
        }
        return [];
    }
}
exports.CountryTagsService = CountryTagsService;
const LOCALE_COUNTRY_TAGS = {
    md: {
        ro: ['republica moldova', 'moldova'],
    },
    ro: {
        ro: ['românia', 'româniei'],
    },
    ru: {
        ru: ['Россия', 'РФ', 'России', 'Российской'],
    },
};
