import { Connection } from "mongoose";
import { MongoModel, MongoUpdateData } from "./mongo-model";
import { Concept } from "../../entities/concept";
export declare class ConceptModel extends MongoModel<Concept> {
    constructor(connection: Connection);
    protected transformItem(item: any): Concept;
    protected beforeCreating(data: Concept): Concept;
    protected beforeUpdating(data: MongoUpdateData<Concept>): MongoUpdateData<Concept>;
}
