import { Connection } from "mongoose";
import { MongoModel, MongoUpdateData } from "./mongo-model";
import { WikiSearchName } from "../../entities/wiki-search-name";
export declare class WikiSearchNameModel extends MongoModel<WikiSearchName> {
    constructor(connection: Connection);
    protected transformItem(item: any): WikiSearchName;
    protected beforeCreating(data: WikiSearchName): WikiSearchName;
    protected beforeUpdating(data: MongoUpdateData<WikiSearchName>): MongoUpdateData<WikiSearchName>;
}
