import { ConceptContainer, ConceptContainerStatus } from "./concept-container";
export declare type KnownConceptContainerData = {
    lang: string;
    country: string;
    name: string;
    uniqueName: string;
    ownerId: string;
};
export declare class ConceptContainerHelper {
    static build(data: KnownConceptContainerData): ConceptContainer;
    static newId(): string;
    static validate(entity: ConceptContainer | null | undefined): void;
    static canStartCollect(status: ConceptContainerStatus): boolean;
    static canStartGenerate(status: ConceptContainerStatus): boolean;
}
