export declare type WikiSearchName = {
    id: string;
    lang: string;
    country: string;
    name: string;
    createdAt?: number;
    updatedAt?: number;
};
export declare type KnownWikiSearchNameData = {
    lang: string;
    country: string;
    name: string;
    updatedAt?: number;
};
export declare class WikiSearchNameHelper {
    static build(data: KnownWikiSearchNameData): WikiSearchName;
    static createId(name: string, lang: string, country: string): string;
}
