export declare class NameHelper {
    static formatUniqueName(name: string, lang: string): string;
    static isValidUniqueName(name: string): boolean;
    static isIrregular(name: string): boolean;
    static isAbbr(name: string): boolean;
    static findAbbr(names: string[]): string | null;
    static removeSymbols(name: string): string;
    static endsWithNumberWord(name: string): boolean;
    static standardText(text: string, lang: string): string;
    static atonic(text: string): string;
    static normalizeName(name: string, lang: string): string;
    static countWords(name: string): number;
}
