import { IConceptRepository } from "../../repositories/concept-repository";
import { ConceptContainer } from "../../entities/concept-container";
import { UseCase } from "../usecase";
export interface DeleteUnpopularConceptsOptions {
    minConceptPopularity: number;
    minAbbrConceptPopularity: number;
    minOneWordConceptPopularity: number;
}
export declare class DeleteUnpopularConcepts extends UseCase<DeleteUnpopularConceptsOptions, void, void> {
    private container;
    private conceptRep;
    constructor(container: ConceptContainer, conceptRep: IConceptRepository);
    protected innerExecute(options: DeleteUnpopularConceptsOptions): Promise<void>;
}
