import { IWikiEntityRepository } from '../../repositories/wiki-entity-repository';
import { ICountryTagsService } from './find-wiki-titles';
import { IWikiSearchNameRepository } from '../../repositories/wiki-search-name-repository';
import { IWikiTitleRepository } from '../../repositories/wiki-title-repository';
import { INamesEnumerator } from '../../services/names-enumerator';
import { IKnownNameService } from '../../services/known-names-service';
import { UseCase } from '../usecase';
import { ILocale } from '../../types';
export declare class ExploreWikiEntities extends UseCase<void, void, void> {
    private namesEnumerator;
    private exploreByNames;
    constructor(locale: ILocale, namesEnumerator: INamesEnumerator, entityRep: IWikiEntityRepository, wikiSearchNameRep: IWikiSearchNameRepository, wikiTitleRep: IWikiTitleRepository, countryTags: ICountryTagsService, knownNames: IKnownNameService);
    protected innerExecute(): Promise<void>;
}
