import { ILocale } from "../../types";
import { UseCase } from "../usecase";
export declare class FindWikiTitles extends UseCase<string[], string[], null> {
    private locale;
    private tags;
    constructor(locale: ILocale, countryTags: ICountryTagsService);
    protected innerExecute(names: string[]): Promise<string[]>;
}
export interface ICountryTagsService {
    getTags(country: string, lang: string): string[];
}
