import { WikiEntity } from "../../entities/wiki-entity";
import { IWikiEntityRepository } from "../../repositories/wiki-entity-repository";
import { UseCase } from "../usecase";
export declare class SaveWikiEntities extends UseCase<WikiEntity[], boolean, null> {
    private wikiEntityRepository;
    constructor(wikiEntityRepository: IWikiEntityRepository);
    protected innerExecute(entities: WikiEntity[]): Promise<boolean>;
}
