import { IWikiEntityReadRepository } from "../../repositories/wiki-entity-repository";
import { WikiEntity } from "../../entities/wiki-entity";
import { UseCase } from "../usecase";
import { ILocale } from "../../types";
export declare class SelectWikiEntity extends UseCase<string[], WikiEntity | null, void> {
    private locale;
    private wikiEntityRepository;
    constructor(locale: ILocale, wikiEntityRepository: IWikiEntityReadRepository);
    protected innerExecute(names: string[]): Promise<WikiEntity | null>;
    private sortWikiEntities;
    private countryWikiEntities;
}
