import { Connection } from "mongoose";
import { MongoModel, MongoUpdateData } from "./mongo-model";
import { ConceptContainer } from "../../entities/concept-container";
export declare class ConceptContainerModel extends MongoModel<ConceptContainer> {
    constructor(connection: Connection);
    protected transformItem(item: any): ConceptContainer;
    protected beforeCreating(data: ConceptContainer): ConceptContainer;
    protected beforeUpdating(data: MongoUpdateData<ConceptContainer>): MongoUpdateData<ConceptContainer>;
}
