import { Connection } from "mongoose";
import { MongoModel, MongoUpdateData } from "./mongo-model";
import { WikiEntity } from "../../entities/wiki-entity";
export declare class WikiEntityModel extends MongoModel<WikiEntity> {
    constructor(connection: Connection);
    protected transformItem(item: any): WikiEntity;
    protected beforeCreating(data: WikiEntity): WikiEntity;
    protected beforeUpdating(data: MongoUpdateData<WikiEntity>): MongoUpdateData<WikiEntity>;
}
