import { Connection } from "mongoose";
import { MongoModel, MongoUpdateData } from "./mongo-model";
import { WikiTitle } from "../../entities/wiki-title";
export declare class WikiTitleModel extends MongoModel<WikiTitle> {
    constructor(connection: Connection);
    protected transformItem(item: any): WikiTitle;
    protected beforeCreating(data: WikiTitle): WikiTitle;
    protected beforeUpdating(data: MongoUpdateData<WikiTitle>): MongoUpdateData<WikiTitle>;
}
