import { MongoRepository } from './mongo/mongo-repository';
import { WikiEntity } from '../entities/wiki-entity';
import { IWikiEntityRepository } from '../repositories/wiki-entity-repository';
export declare class WikiEntityRepository extends MongoRepository<WikiEntity> implements IWikiEntityRepository {
    getByNameHash(hash: string): Promise<WikiEntity[]>;
    getByPartialNameHash(hash: string): Promise<WikiEntity[]>;
    count(): Promise<number>;
    getInvalidPartialNames(lang: string): Promise<string[]>;
}
