import { WikiEntity } from "./wiki-entity";
import { Actor, ActorName } from "./actor";
import { ILocale } from "../types";
import { ActorNameCollection } from "./actor-name-collection";
export declare class ActorHelper {
    static build(locale: ILocale, actorNames: ActorNameCollection, wikiEntity?: WikiEntity): Actor;
    static findAbbr(name: string, names: ActorName[]): string | null;
    static findCommonName(name: string, names: ActorName[]): string | null;
    static buildNames(lang: string, nameCollection: ActorNameCollection, entityNames?: string[]): ActorNameCollection;
    static validate(entity: Partial<Actor>): void;
    static isValidCommonName(name: string): boolean;
}
