import { WikiEntity } from "./wiki-entity";
export declare type Actor = {
    lang: string;
    country: string;
    name: string;
    names: ActorName[];
    commonName?: string;
    abbr?: string;
    wikiEntity?: WikiEntity;
};
export declare type ActorName = {
    name: string;
    popularity: number;
    isAbbr: boolean;
    type: ActorNameType;
};
export declare type ActorNameType = 'WIKI' | 'SAME';
