import { IWikiSearchNameRepository } from '../wiki-search-name-repository';
import { WikiSearchName } from '../../entities/wiki-search-name';
import { RepUpdateData } from '../repository';
export declare class MemoryWikiSearchNameRepository implements IWikiSearchNameRepository {
    private db;
    createOrUpdate(data: WikiSearchName): Promise<WikiSearchName>;
    getById(id: string): Promise<WikiSearchName | null>;
    getByIds(ids: string[]): Promise<WikiSearchName[]>;
    exists(id: string): Promise<boolean>;
    delete(id: string): Promise<boolean>;
    create(data: WikiSearchName): Promise<WikiSearchName>;
    update(data: RepUpdateData<string, WikiSearchName>): Promise<WikiSearchName>;
}
