import { IWikiTitleRepository } from '../wiki-title-repository';
import { WikiTitle } from '../../entities/wiki-title';
import { RepUpdateData } from '../repository';
export declare class MemoryWikiTitleRepository implements IWikiTitleRepository {
    private db;
    createOrUpdate(data: WikiTitle): Promise<WikiTitle>;
    getById(id: string): Promise<WikiTitle | null>;
    getByIds(ids: string[]): Promise<WikiTitle[]>;
    exists(id: string): Promise<boolean>;
    delete(id: string): Promise<boolean>;
    create(data: WikiTitle): Promise<WikiTitle>;
    update(data: RepUpdateData<string, WikiTitle>): Promise<WikiTitle>;
}
