import { INamesEnumerator } from "./names-enumerator";
import { ConceptContainer } from "../entities/concept-container";
import { IConceptReadRepository } from "../repositories/concept-repository";
import { Concept } from "../entities/concept";
import { ActorNameCollection } from "../entities/actor-name-collection";
export declare type PopularConceptNamesEnumeratorOptions = {
    mutable: boolean;
};
export declare class PopularConceptNamesEnumerator implements INamesEnumerator {
    private options;
    private container;
    private conceptRep;
    private skip;
    private limit;
    private currentIndex;
    private currentData;
    private end;
    private minCountWords;
    private maxCountWords;
    private pagesize;
    constructor(options: PopularConceptNamesEnumeratorOptions, container: ConceptContainer, conceptRep: IConceptReadRepository);
    private reset;
    atEnd(): boolean;
    next(): Promise<ActorNameCollection>;
    protected getConceptNames(concept: Concept): Promise<ActorNameCollection>;
}
