import { IWikiEntityReadRepository } from "../../repositories/wiki-entity-repository";
import { Actor } from "../../entities/actor";
import { UseCase } from "../usecase";
import { ILocale } from "../../types";
import { ActorNameCollection } from "../../entities/actor-name-collection";
export declare class BuildActorByNames extends UseCase<ActorNameCollection, Actor, void> {
    private locale;
    private selectWikiEntity;
    constructor(locale: ILocale, wikiEntityRepository: IWikiEntityReadRepository);
    protected innerExecute(names: ActorNameCollection): Promise<Actor>;
}
