import { IConceptRepository } from "../../repositories/concept-repository";
import { IWikiEntityRepository } from "../../repositories/wiki-entity-repository";
import { ConceptContainer } from "../../entities/concept-container";
import { UseCase } from "../usecase";
export declare class DeleteInvalidConcepts extends UseCase<void, void, void> {
    private container;
    private conceptRep;
    private wikiEntityRep;
    constructor(container: ConceptContainer, conceptRep: IConceptRepository, wikiEntityRep: IWikiEntityRepository);
    protected innerExecute(): Promise<void>;
}
