import { ILocale } from "../../types";
import { WikiEntity } from "../../entities/wiki-entity";
import { IKnownNameService } from "../../services/known-names-service";
import { UseCase } from "../usecase";
export declare class FindWikiEntitiesByTitles extends UseCase<string[], WikiEntity[], null> {
    private locale;
    private wikiEntityBuilder;
    constructor(locale: ILocale, knownNames: IKnownNameService);
    protected innerExecute(titles: string[]): Promise<WikiEntity[]>;
}
