import { IConceptWriteRepository } from '../../repositories/concept-repository';
import { Concept } from '../../entities/concept';
import { UseCase } from '../usecase';
import { IKnownNameService } from '../../services/known-names-service';
export declare class PushContextConcepts extends UseCase<Concept[], Concept[], void> {
    private conceptRep;
    private knownNames;
    constructor(conceptRep: IConceptWriteRepository, knownNames: IKnownNameService);
    protected innerExecute(concepts: Concept[]): Promise<Concept[]>;
    private pushConcept;
}
