import { WikiEntity } from "../../entities/wiki-entity";
import { IKnownNameService } from "../../services/known-names-service";
import { WikiEntity as ExternWikiEntity } from 'wiki-entity';
import { ILocale } from "../../types";
export declare type WikiEntityBuilderData = {
    wikiEntity: ExternWikiEntity;
};
export interface IWikiEntityBuilder {
    build(data: WikiEntityBuilderData): WikiEntity;
}
export declare class WikiEntityBuilder implements IWikiEntityBuilder {
    private locale;
    private knownNamesService;
    constructor(locale: ILocale, knownNamesService: IKnownNameService);
    build({ wikiEntity }: WikiEntityBuilderData): WikiEntity;
}
